Package owl.translations.ltl2ldba

## Class LTL2LDBAFunction<S,B extends GeneralizedBuchiAcceptance,C extends RecurringObligation>

- java.lang.Object
- - owl.translations.ltl2ldba.LTL2LDBAFunction<S,B,C>

- All Implemented Interfaces:
    `Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,S,B,C>>`

      public final class LTL2LDBAFunction<S,B extends GeneralizedBuchiAcceptance,C extends RecurringObligation>
      extends Object
      implements Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,S,B,C>>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LTL2LDBAFunction.Configuration` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LimitDeterministicAutomaton<EquivalenceClass,S,B,C>` | `apply​(LabelledFormula input)` |
    `static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,DegeneralizedBreakpointFreeState,BuchiAcceptance,FGObligations>>` | `createDegeneralizedBreakpointFreeLDBABuilder​(Environment env, Set<LTL2LDBAFunction.Configuration> configuration)` |
    `static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,DegeneralizedBreakpointState,BuchiAcceptance,GObligations>>` | `createDegeneralizedBreakpointLDBABuilder​(Environment env, Set<LTL2LDBAFunction.Configuration> configuration)` |
    `static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,GeneralizedBreakpointFreeState,GeneralizedBuchiAcceptance,FGObligations>>` | `createGeneralizedBreakpointFreeLDBABuilder​(Environment env, Set<LTL2LDBAFunction.Configuration> configuration)` |
    `static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,GeneralizedBreakpointState,GeneralizedBuchiAcceptance,GObligations>>` | `createGeneralizedBreakpointLDBABuilder​(Environment env, Set<LTL2LDBAFunction.Configuration> configuration)` |

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createDegeneralizedBreakpointFreeLDBABuilder

          public static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,DegeneralizedBreakpointFreeState,BuchiAcceptance,FGObligations>> createDegeneralizedBreakpointFreeLDBABuilder​(Environment env,
                                                                                                                                                                                                            Set<LTL2LDBAFunction.Configuration> configuration)

    - #### createDegeneralizedBreakpointLDBABuilder

          public static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,DegeneralizedBreakpointState,BuchiAcceptance,GObligations>> createDegeneralizedBreakpointLDBABuilder​(Environment env,
                                                                                                                                                                                                   Set<LTL2LDBAFunction.Configuration> configuration)

    - #### createGeneralizedBreakpointFreeLDBABuilder

          public static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,GeneralizedBreakpointFreeState,GeneralizedBuchiAcceptance,FGObligations>> createGeneralizedBreakpointFreeLDBABuilder​(Environment env,
                                                                                                                                                                                                                   Set<LTL2LDBAFunction.Configuration> configuration)

    - #### createGeneralizedBreakpointLDBABuilder

          public static Function<LabelledFormula,LimitDeterministicAutomaton<EquivalenceClass,GeneralizedBreakpointState,GeneralizedBuchiAcceptance,GObligations>> createGeneralizedBreakpointLDBABuilder​(Environment env,
                                                                                                                                                                                                          Set<LTL2LDBAFunction.Configuration> configuration)

    - #### apply

          public LimitDeterministicAutomaton<EquivalenceClass,S,B,C> apply​(LabelledFormula input)

      Specified by:
        `apply` in interface `Function<S,B extends GeneralizedBuchiAcceptance>`